import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        size?: string | undefined;
        role?: string | undefined;
        variation?: "black" | "color" | "icon" | "white" | undefined;
        ariaLabel?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keydown: KeyboardEvent;
        keyup: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
        mouseout: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SmartProps = typeof __propDef.props;
export type SmartEvents = typeof __propDef.events;
export type SmartSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://svelte-cryptocurrency-icons.vercel.app)
 * ## Props
 * @prop export let size = '32';
 * @prop export let role = 'img';
 * @prop export let variation: 'black' | 'color' | 'icon' | 'white' = 'color';
 * @prop export let ariaLabel = 'smart';
 */
export default class Smart extends SvelteComponentTyped<SmartProps, SmartEvents, SmartSlots> {
}
export {};
